package model;

public class PointCollector {
	private Point[] points; 
	private int nop; /* number of points */
	
	public PointCollector() { 
		this.points = new Point[100]; 
	}
	
	public void addPoint(double x, double y) {
		this.points[this.nop] = new Point(x, y); 
		this.nop++; 
	}
	
	public int getNumberOfPoints() {
		return this.nop;
	}
	
	public Point[] getPointsInQuadrantI() {
		Point[] ps = new Point[this.nop];
		int count = 0; 
		
		/* number of points in Quadrant I */
		for(int i = 0; i < this.nop; i++) {
			Point p = this.points[i];
			if(p.getX() > 0 && p.getY() > 0) { 
				ps[count] = p; 
				count++; 
			} 
		}
		Point[] q1Points = new Point[count];
		
		/* ps contains null if count < nop */
		for(int i = 0; i < count; i++) { 
			q1Points[i] = ps[i]; 
		}
		return q1Points ;
	}
}
