package junit_tests;

import static org.junit.Assert.*;

import org.junit.Test;

import model.Point;
import model.PointCollector;

public class TestPointCollector {

	@Test
	public void test() {
		PointCollector pc = new PointCollector();
		assertEquals(0, pc.getNumberOfPoints());

		pc.addPoint(3, 4);
		assertEquals(1, pc.getNumberOfPoints());

		pc.addPoint(-3, 4);
		assertEquals(2, pc.getNumberOfPoints());

		pc.addPoint(-3, -4);
		assertEquals(3, pc.getNumberOfPoints());

		pc.addPoint(3, -4);
		assertEquals(4, pc.getNumberOfPoints());

		Point[] ps = pc.getPointsInQuadrantI(); 
		assertEquals(1, ps.length); 
		assertTrue(ps[0].getX() == 3 && ps[0].getY() == 4);
	}
}
